const updaterController = require('../../../app/controller/UpdaterController');
const installerController = require('../../../app/controller/InstallerController');

const route = (router) => {
  router.get('/updater/pendentes', (async (req, res) => {
    try {
      console.log('updater/pendentes:', req.query);
      
      const result = await updaterController.getVersaoDisponivel(req.query);
      
      return res.status(200).json({ result });
    } catch (error) {
      console.log('/updater/pendentes - Erro: ', err);
      
      return res.status(400).json(
        {
          error: 'Erro ao buscar uma versão disponível',
          data: false,
        }
      );
    }
  }));
  
  router.get('/downgrade/pendentes', (async (req, res) => {
    try {
      console.log('downgrade/pendentes:', req.query);
      
      const result = await updaterController.getVersaoDowngrade(req.query);
      
      return res.status(200).json({ result });
    } catch (error) {
      console.log('/downgrade/pendentes - Erro: ', err);
      
      return res.status(400).json({
        error: 'Erro ao buscar uma versão disponível',
        data: false,
      });
    }
  }));

  router.get('/installer/pendentes', (async (req, res) => {
    try {
      console.log('installer/pendentes:', req.query);
      
      const result = await installerController.getDisponivel(req.query);
      
      return res.status(200).json({ result });
    } catch (error) {
      console.log('/installer/pendentes - Erro: ', err);
      
      return res.status(400).json({
        error: 'Erro ao buscar uma versão disponível',
        data: false,
      });
    }
  }));
}

module.exports = route;