const OracleService = require('../service/OracleService');

class adqMovExtratoModel {
  constructor() {
    this.GET_ADQMOVEXTRATO = `
            SELECT
               CDCLIENTE, CDCONSUMIDOR, CDFAMILISALD, DTMOVEXTCONS,
                 NRSEQMOVEXT, IDTPMOVEXT, DSOPEEXTCONS, VRMOVEXTCONS, VRSALDCONEXT
            FROM
               EXTRATOCONS
            WHERE
               (CDCLIENTE     = :P_CDCLIENTE)    AND
               (CDCONSUMIDOR  = :P_CDCONSUMIDOR) AND
               (CDFAMILISALD  = :P_CDFAMILISALD) AND
               (DTMOVEXTCONS >= TIMESTAMP :P_DTMOVEXTCONS)
            ORDER BY
                 CDCLIENTE, CDCONSUMIDOR, CDFAMILISALD, DTMOVEXTCONS,  NRSEQMOVEXT
        `;
  }

  get(params) {
    return OracleService.connect().then(() => {
      return OracleService.execute(this.GET_ADQMOVEXTRATO, params);
    });
  }
}

module.exports = new adqMovExtratoModel();
