const OracleService = require('../service/OracleService');

class EditaVendaModel {
  constructor() {
    this.STATEMENT = `
      UPDATE
        VENDA
      SET
        DTEXPVENDA = TIMESTAMP :DTEXPVENDA,
        IDSITUVENDA = :IDSITUVENDA,
        DSOBSCANCUP = :DSOBSCANCUP,
        CDGRPOCORCANCUP = :CDGRPOCORCANCUP,
        CDSUPERVISOR = :CDSUPERVISOR,
        IDSTATUSNFCE = :IDSTATUSNFCE,
        DSOBSSTATUSNFCE = :DSOBSSTATUSNFCE,
        NRPROTOCOLOCANC = :NRPROTOCOLOCANC,
        DSQRCODENFCE = :DSQRCODENFCE,
        NRACESSONFCE = :NRACESSONFCE,
        NRNOTAFISCALCE = :NRNOTAFISCALCE,
        CDSERIESAT = :CDSERIESAT,
        IDTPAMBNFCE = :IDTPAMBNFCE,
        NRLANCTONFCE = :NRLANCTONFCE,
        NRACESSOCANC = :NRACESSOCANC,
        IDXMLSATTRANS = :IDXMLSATTRANS,
        NRENTREGAPEDVND = :NRENTREGAPEDVND,
        CDVENDEDOR = :CDVENDEDOR,
        DSURLFOTOVEN = :DSURLFOTOVEN,
        IDCHECKEDVEN = :IDCHECKEDVEN,
        DTEMISSAONFCE = TIMESTAMP :DTEMISSAONFCE,
        DSARQXMLNFCE = :DSARQXMLNFCE,
        DSARQXMLCANCNFCE = :DSARQXMLCANCNFCE
      WHERE
        CDFILIAL = :CDFILIAL AND
        CDCAIXA = :CDCAIXA AND
        NRSEQVENDAMSDE = :NRSEQVENDAMSDE               
    `;
  }

  execute(params) {
    return OracleService.connect().then(() => OracleService.execute(this.STATEMENT, params));
  }
}

module.exports = new EditaVendaModel();
